import type { ComponentThis, BaseProps } from "./types";
import { InternalComponent } from "./internal";
export type ContextProviderProps<T = unknown> = BaseProps & {
    value: T;
};
export type ContextProvider<T = unknown> = InternalComponent<ContextProviderProps<T>>;
export type Context<T = unknown> = {
    Provider: ContextProvider<T>;
    for(componentThis: ComponentThis): T;
};
export type CreateContextOptions<T> = {
    fallback?: T;
    description?: string;
};
export declare function createContext<T>(options: CreateContextOptions<T>): Context<T>;
